Bug 118339 - port net/quagga needs --enable-tcp-zebra option
port net/quagga needs --enable-tcp-zebra option
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-29 22:20 UTC by don_oles
Modified: 2008-02-08 14:50 UTC (History)
0 users

See Also:


Attachments
quagga.diff (521 bytes, patch)
2007-11-30 04:43 UTC, boris
no flags Details | Diff
quagga.diff (521 bytes, patch)
2007-11-30 07:23 UTC, boris
no flags Details | Diff
quagga.diff (522 bytes, patch)
2007-11-30 07:21 UTC, boris
no flags Details | Diff
Makefile.diff (521 bytes, patch)
2008-01-28 11:41 UTC, boris
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description don_oles 2007-11-29 22:20:01 UTC
FreeBSD for some reason has problems with unix domain sockets on mfs. Thus quagga does not work on livecd when /var/run/quagga/ is on mfs over cd9660 via unionfs (or even directly on mfs), cause deamons can not connect to each other. To overcome this problem one may run ./configure with --enable-tcp-zebra=yes. This has to be option when compiling/configing quagga port.

Fix: 

Put into Makefile:

OPTIONS = ...
    TCPZEBRA "Use TCP for zebra server, not unix sockets" off \

.if defined(TCPZEBRA)
CONFIGURE_ARGS+=--enable-tcp-zebra=yes
.endif
Comment 1 Edwin Groothuis freebsd_committer 2007-11-29 22:20:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2007-11-29 22:20:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 boris 2007-11-30 04:43:09 UTC
Hello!

    Agreed, the OPTION is already present (WITH_TCPSOCKETS) but I forgot 
to process it. Please apply attached patch.

With respect,
    Boris
Comment 4 boris 2007-11-30 07:21:06 UTC
Hello!

     Agreed, the OPTION is already present (WITH_TCPSOCKETS) but I forgot
to process it. Please apply attached patch.

With respect,
     Boris

Comment 5 boris 2007-11-30 07:23:47 UTC
Hello!

     Oops, wrong direction of patch. New one attached.

With respect,
      Boris


Comment 6 Mark Linimon freebsd_committer 2008-01-24 08:14:13 UTC
State Changed
From-To: feedback->open

With bugmeister hat on, reset itetcu's ownership of this one, since he has 
been inactive for some time. 

Also, the maintainer appears to have responded. 


Comment 7 Mark Linimon freebsd_committer 2008-01-24 08:14:13 UTC
Responsible Changed
From-To: itetcu->freebsd-ports-bugs
Comment 8 boris 2008-01-28 11:41:24 UTC
Hello!


Here is new patch as portrevision has changed

With respect,
    Boris
Comment 9 dfilter freebsd_committer 2008-02-08 14:44:50 UTC
rafan       2008-02-08 14:44:45 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile 
  Log:
  - Add proper arguments for configure if WITH_TCPSOCKETS is enabled
  
  PR:             ports/118339
  Reported by:    Oles Hnatkevych <don_oles at able.com.ua>
  Approved by:    Boris Kovalenko <boris at tagnet.ru> (maintainer)
  
  Revision  Changes    Path
  1.67      +4 -0      ports/net/quagga/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Rong-En Fan freebsd_committer 2008-02-08 14:44:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!